Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Natal Report

Illuminate your journey with astrological clarity using our Natal Report API, generating enlightening and personalized astrological charts in PDF format that shed light on life’s path within the framework of Western Astrology.


API Endpoint

POST https://pdf.divineapi.com/astrology/v2/report

Returns Natal Report in the response.


Headers

NameTypeDescription
Authorization*StringYour API Access Token. Example: Bearer {token}

Request Body

NameTypeDescription
api_key*StringYour API key
full_name*StringFull name of the user, e.g., Rahul Kumar
day*IntegerBirth date of the user, e.g., 24
month*IntegerBirth month of the user, e.g., 05
year*IntegerBirth year of the user, e.g., 2023
hour*IntegerBirth hour of the user, e.g., 14
min*IntegerBirth minute of the user, e.g., 40
sec*IntegerBirth second of the user, e.g., 43
gender*StringGender of the user, e.g., male
place*StringUser’s birth place, e.g., New Delhi, India
lat*FloatLatitude of the birth place, e.g., 28.7041
lon*FloatLongitude of the birth place, e.g., 77.1025
tzone*FloatTimezone of the location, e.g., 5.5. See Timezone List
company_name*StringYour company name, e.g., DivineAPI
company_url*StringYour domain full URL, e.g., https://divineapi.com/
company_email*StringYour company email, e.g., admin@divineapi.com
company_mobileStringYour company contact number, e.g., +91 1212 1212 12
company_bio*StringCompany description, less than 500 characters
logo_url*StringYour company logo URL (PNG only)
footer_text*StringFooter text, less than 100 characters
lanStringLanguage for PDF generation. Currently available only in English.
report_code*StringChoose report type from Report Codes
theme*StringChoose theme from Theme Codes

200: OK Natal Report Fetched Successfully

{
    "success": 1,
    "data": {
        "name": "Rahul Kumar",
        "report_url": "report_url",
        "download_url": "download_url"
    }
}

Example Integrations

Below are examples of how you might call this API via cURL, NodeJS, jQuery AJAX, and Python.


cURL

curl --location 'https://pdf.divineapi.com/astrology/v2/report' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \
--form 'company_name="DivineAPI"' \
--form 'company_url="https://divineapi.com/"' \
--form 'company_email="admin@divineapi.com"' \
--form 'company_mobile="+91 212 1212 12"' \
--form 'company_bio="Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!"' \
--form 'logo_url="https://divineapi.com/assets/logo.png"' \
--form 'footer_text="DivineAPI"' \
--form 'report_code="CAREER-REPORT"' \
--form 'theme="002"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://pdf.divineapi.com/astrology/v2/report',
  'headers': {
    'Authorization': 'Bearer {Your Auth Token}'
  },
  formData: {
    'api_key': '{Your API Key}',
    'full_name': 'Rahul Kumar',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi, India',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5',
    'lan': 'en',
    'company_name': 'DivineAPI',
    'company_url': 'https://divineapi.com/',
    'company_email': 'admin@divineapi.com',
    'company_mobile': '+91 212 1212 12',
    'company_bio': 'Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily\nHoroscope API for all twelve zodiac signs, along with Indian astrology services like\nPanchang, Kundali, and Kundali Matching. Check out their website for more information\nand enjoy accurate and engaging astrology insights for your audience!',
    'logo_url': 'https://divineapi.com/assets/logo.png',
    'footer_text': 'DivineAPI',
    'report_code': 'CAREER-REPORT',
    'theme': '002'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript (jQuery AJAX)

var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
form.append("company_name", "DivineAPI");
form.append("company_url", "https://divineapi.com/");
form.append("company_email", "admin@divineapi.com");
form.append("company_mobile", "+91 212 1212 12");
form.append("company_bio", "Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!");
form.append("logo_url", "https://divineapi.com/assets/logo.png");
form.append("footer_text", "DivineAPI");
form.append("report_code", "CAREER-REPORT");
form.append("theme", "002");

var settings = {
  "url": "https://pdf.divineapi.com/astrology/v2/report",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {Your Auth Token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://pdf.divineapi.com/astrology/v2/report"

payload = {'api_key': '{Your API Key}',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'company_name': 'DivineAPI',
'company_url': 'https://divineapi.com/',
'company_email': 'admin@divineapi.com',
'company_mobile': '+91 212 1212 12',
'company_bio': 'Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!',
'logo_url': 'https://divineapi.com/assets/logo.png',
'footer_text': 'DivineAPI',
'report_code': 'CAREER-REPORT',
'theme': '002'}

headers = {
  'Authorization': 'Bearer {Your Auth Token}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

Notes

The Natal Report API supports English PDFs only at this time.

Both report_code and theme are mandatory to customize the report type and design.

All company details (name, email, logo, etc.) are required for white-labeled output.

Ensure the logo URL is a valid, publicly accessible PNG.

The API returns two URLs:

report_url → View report online

download_url → Direct download link

Example Code
curl -X POST "https://pdf.divineapi.com/astrology/v2/report" \
  -H "Authorization: Bearer {Your Auth Token}" \
  --form 'api_key="{Your API Key}"' \
  --form 'full_name="Rahul Kumar"' \
  --form 'day="24"' \
  --form 'month="05"' \
  --form 'year="2023"' \
  --form 'hour="14"' \
  --form 'min="40"' \
  --form 'sec="43"' \
  --form 'gender="male"' \
  --form 'place="New Delhi, India"' \
  --form 'lat="28.7041"' \
  --form 'lon="77.1025"' \
  --form 'tzone="5.5"' \
  --form 'lan="en"' \
  --form 'company_name="DivineAPI"' \
  --form 'company_url="https://divineapi.com/"' \
  --form 'company_email="admin@divineapi.com"' \
  --form 'company_mobile="+91 212 1212 12"' \
  --form 'company_bio="Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!"' \
  --form 'logo_url="https://divineapi.com/assets/logo.png"' \
  --form 'footer_text="DivineAPI"' \
  --form 'report_code="CAREER-REPORT"' \
  --form 'theme="002"'
const FormData = require('form-data');
const axios = require('axios');

const form = new FormData();
form.append('api_key', '{Your API Key}');
form.append('full_name', 'Rahul Kumar');
form.append('day', '24');
form.append('month', '05');
form.append('year', '2023');
form.append('hour', '14');
form.append('min', '40');
form.append('sec', '43');
form.append('gender', 'male');
form.append('place', 'New Delhi, India');
form.append('lat', '28.7041');
form.append('lon', '77.1025');
form.append('tzone', '5.5');
form.append('lan', 'en');
form.append('company_name', 'DivineAPI');
form.append('company_url', 'https://divineapi.com/');
form.append('company_email', 'admin@divineapi.com');
form.append('company_mobile', '+91 212 1212 12');
form.append('company_bio', 'Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!');
form.append('logo_url', 'https://divineapi.com/assets/logo.png');
form.append('footer_text', 'DivineAPI');
form.append('report_code', 'CAREER-REPORT');
form.append('theme', '002');

const response = await axios.post('https://pdf.divineapi.com/astrology/v2/report', form, {
  headers: {
    ...form.getHeaders(),
    'Authorization': 'Bearer {Your Auth Token}',
  }
});

console.log(response.data);
import requests

url = "https://pdf.divineapi.com/astrology/v2/report"
headers = {
    "Authorization": "Bearer {Your Auth Token}",
}
payload = {
    "api_key": "{Your API Key}",
    "full_name": "Rahul Kumar",
    "day": "24",
    "month": "05",
    "year": "2023",
    "hour": "14",
    "min": "40",
    "sec": "43",
    "gender": "male",
    "place": "New Delhi, India",
    "lat": "28.7041",
    "lon": "77.1025",
    "tzone": "5.5",
    "lan": "en",
    "company_name": "DivineAPI",
    "company_url": "https://divineapi.com/",
    "company_email": "admin@divineapi.com",
    "company_mobile": "+91 212 1212 12",
    "company_bio": "Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!",
    "logo_url": "https://divineapi.com/assets/logo.png",
    "footer_text": "DivineAPI",
    "report_code": "CAREER-REPORT",
    "theme": "002",
}

response = requests.post(url, headers=headers, data=payload)

print(response.json())
const formData = new FormData();
formData.append('api_key', '{Your API Key}');
formData.append('full_name', 'Rahul Kumar');
formData.append('day', '24');
formData.append('month', '05');
formData.append('year', '2023');
formData.append('hour', '14');
formData.append('min', '40');
formData.append('sec', '43');
formData.append('gender', 'male');
formData.append('place', 'New Delhi, India');
formData.append('lat', '28.7041');
formData.append('lon', '77.1025');
formData.append('tzone', '5.5');
formData.append('lan', 'en');
formData.append('company_name', 'DivineAPI');
formData.append('company_url', 'https://divineapi.com/');
formData.append('company_email', 'admin@divineapi.com');
formData.append('company_mobile', '+91 212 1212 12');
formData.append('company_bio', 'Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!');
formData.append('logo_url', 'https://divineapi.com/assets/logo.png');
formData.append('footer_text', 'DivineAPI');
formData.append('report_code', 'CAREER-REPORT');
formData.append('theme', '002');

const response = await fetch('https://pdf.divineapi.com/astrology/v2/report', {
  method: 'POST',
  headers: {
      'Authorization': "Bearer {Your Auth Token}",
    },
  body: formData,
});

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://pdf.divineapi.com/astrology/v2/report', [
    'headers' => [
        'Authorization' => 'Bearer {Your Auth Token}',
    ],
    'multipart' => [
        ['name' => 'api_key', 'contents' => '{Your API Key}'],
        ['name' => 'full_name', 'contents' => 'Rahul Kumar'],
        ['name' => 'day', 'contents' => '24'],
        ['name' => 'month', 'contents' => '05'],
        ['name' => 'year', 'contents' => '2023'],
        ['name' => 'hour', 'contents' => '14'],
        ['name' => 'min', 'contents' => '40'],
        ['name' => 'sec', 'contents' => '43'],
        ['name' => 'gender', 'contents' => 'male'],
        ['name' => 'place', 'contents' => 'New Delhi, India'],
        ['name' => 'lat', 'contents' => '28.7041'],
        ['name' => 'lon', 'contents' => '77.1025'],
        ['name' => 'tzone', 'contents' => '5.5'],
        ['name' => 'lan', 'contents' => 'en'],
        ['name' => 'company_name', 'contents' => 'DivineAPI'],
        ['name' => 'company_url', 'contents' => 'https://divineapi.com/'],
        ['name' => 'company_email', 'contents' => 'admin@divineapi.com'],
        ['name' => 'company_mobile', 'contents' => '+91 212 1212 12'],
        ['name' => 'company_bio', 'contents' => 'Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!'],
        ['name' => 'logo_url', 'contents' => 'https://divineapi.com/assets/logo.png'],
        ['name' => 'footer_text', 'contents' => 'DivineAPI'],
        ['name' => 'report_code', 'contents' => 'CAREER-REPORT'],
        ['name' => 'theme', 'contents' => '002'],
    ],
]);

echo $response->getBody();
package main

import (
    "bytes"
    "fmt"
    "mime/multipart"
    "net/http"
    "io"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)
    writer.WriteField("api_key", "{Your API Key}")
    writer.WriteField("full_name", "Rahul Kumar")
    writer.WriteField("day", "24")
    writer.WriteField("month", "05")
    writer.WriteField("year", "2023")
    writer.WriteField("hour", "14")
    writer.WriteField("min", "40")
    writer.WriteField("sec", "43")
    writer.WriteField("gender", "male")
    writer.WriteField("place", "New Delhi, India")
    writer.WriteField("lat", "28.7041")
    writer.WriteField("lon", "77.1025")
    writer.WriteField("tzone", "5.5")
    writer.WriteField("lan", "en")
    writer.WriteField("company_name", "DivineAPI")
    writer.WriteField("company_url", "https://divineapi.com/")
    writer.WriteField("company_email", "admin@divineapi.com")
    writer.WriteField("company_mobile", "+91 212 1212 12")
    writer.WriteField("company_bio", "Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!")
    writer.WriteField("logo_url", "https://divineapi.com/assets/logo.png")
    writer.WriteField("footer_text", "DivineAPI")
    writer.WriteField("report_code", "CAREER-REPORT")
    writer.WriteField("theme", "002")
    writer.Close()

    req, _ := http.NewRequest("POST", "https://pdf.divineapi.com/astrology/v2/report", body)
    req.Header.Set("Content-Type", writer.FormDataContentType())
    req.Header.Set("Authorization", "Bearer {Your Auth Token}")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = new MultipartBody.Builder()
            .setType(MultipartBody.FORM)
            .addFormDataPart("api_key", "{Your API Key}")
            .addFormDataPart("full_name", "Rahul Kumar")
            .addFormDataPart("day", "24")
            .addFormDataPart("month", "05")
            .addFormDataPart("year", "2023")
            .addFormDataPart("hour", "14")
            .addFormDataPart("min", "40")
            .addFormDataPart("sec", "43")
            .addFormDataPart("gender", "male")
            .addFormDataPart("place", "New Delhi, India")
            .addFormDataPart("lat", "28.7041")
            .addFormDataPart("lon", "77.1025")
            .addFormDataPart("tzone", "5.5")
            .addFormDataPart("lan", "en")
            .addFormDataPart("company_name", "DivineAPI")
            .addFormDataPart("company_url", "https://divineapi.com/")
            .addFormDataPart("company_email", "admin@divineapi.com")
            .addFormDataPart("company_mobile", "+91 212 1212 12")
            .addFormDataPart("company_bio", "Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!")
            .addFormDataPart("logo_url", "https://divineapi.com/assets/logo.png")
            .addFormDataPart("footer_text", "DivineAPI")
            .addFormDataPart("report_code", "CAREER-REPORT")
            .addFormDataPart("theme", "002")
            .build();

        Request request = new Request.Builder()
            .url("https://pdf.divineapi.com/astrology/v2/report")
            .post(body)
            .addHeader("Authorization", "Bearer {Your Auth Token}")
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://pdf.divineapi.com/astrology/v2/report")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer {Your Auth Token}", forHTTPHeaderField: "Authorization")

let boundary = "Boundary-\(UUID().uuidString)"
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var bodyData = Data()
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"api_key\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("{Your API Key}\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Rahul Kumar\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("24\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("05\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("2023\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("14\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("40\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("43\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("male\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi, India\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lan\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("en\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"company_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("DivineAPI\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"company_url\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("https://divineapi.com/\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"company_email\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("admin@divineapi.com\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"company_mobile\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("+91 212 1212 12\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"company_bio\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"logo_url\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("https://divineapi.com/assets/logo.png\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"footer_text\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("DivineAPI\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"report_code\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("CAREER-REPORT\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"theme\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("002\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = bodyData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("api_key", "{Your API Key}")
        .addFormDataPart("full_name", "Rahul Kumar")
        .addFormDataPart("day", "24")
        .addFormDataPart("month", "05")
        .addFormDataPart("year", "2023")
        .addFormDataPart("hour", "14")
        .addFormDataPart("min", "40")
        .addFormDataPart("sec", "43")
        .addFormDataPart("gender", "male")
        .addFormDataPart("place", "New Delhi, India")
        .addFormDataPart("lat", "28.7041")
        .addFormDataPart("lon", "77.1025")
        .addFormDataPart("tzone", "5.5")
        .addFormDataPart("lan", "en")
        .addFormDataPart("company_name", "DivineAPI")
        .addFormDataPart("company_url", "https://divineapi.com/")
        .addFormDataPart("company_email", "admin@divineapi.com")
        .addFormDataPart("company_mobile", "+91 212 1212 12")
        .addFormDataPart("company_bio", "Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!")
        .addFormDataPart("logo_url", "https://divineapi.com/assets/logo.png")
        .addFormDataPart("footer_text", "DivineAPI")
        .addFormDataPart("report_code", "CAREER-REPORT")
        .addFormDataPart("theme", "002")
        .build()

    val request = Request.Builder()
        .url("https://pdf.divineapi.com/astrology/v2/report")
        .post(body!!)
        .addHeader("Authorization", "Bearer {Your Auth Token}")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer {Your Auth Token}");

        var content = new MultipartFormDataContent();
        content.Add(new StringContent("{Your API Key}"), "api_key");
        content.Add(new StringContent("Rahul Kumar"), "full_name");
        content.Add(new StringContent("24"), "day");
        content.Add(new StringContent("05"), "month");
        content.Add(new StringContent("2023"), "year");
        content.Add(new StringContent("14"), "hour");
        content.Add(new StringContent("40"), "min");
        content.Add(new StringContent("43"), "sec");
        content.Add(new StringContent("male"), "gender");
        content.Add(new StringContent("New Delhi, India"), "place");
        content.Add(new StringContent("28.7041"), "lat");
        content.Add(new StringContent("77.1025"), "lon");
        content.Add(new StringContent("5.5"), "tzone");
        content.Add(new StringContent("en"), "lan");
        content.Add(new StringContent("DivineAPI"), "company_name");
        content.Add(new StringContent("https://divineapi.com/"), "company_url");
        content.Add(new StringContent("admin@divineapi.com"), "company_email");
        content.Add(new StringContent("+91 212 1212 12"), "company_mobile");
        content.Add(new StringContent("Discover the best Horoscope API and Tarot API services at Divineapi.com. They offer Daily
Horoscope API for all twelve zodiac signs, along with Indian astrology services like
Panchang, Kundali, and Kundali Matching. Check out their website for more information
and enjoy accurate and engaging astrology insights for your audience!"), "company_bio");
        content.Add(new StringContent("https://divineapi.com/assets/logo.png"), "logo_url");
        content.Add(new StringContent("DivineAPI"), "footer_text");
        content.Add(new StringContent("CAREER-REPORT"), "report_code");
        content.Add(new StringContent("002"), "theme");

        var response = await client.PostAsync("https://pdf.divineapi.com/astrology/v2/report", content);
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}